> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update many documents

> Updates metadata (name, parentId, icon, published settings, etc.) for one or more documents in a single call.

If any `parentId` changes are included, circular-reference validation is run and folder-level collaborator permissions are propagated automatically.



## OpenAPI

````yaml put /document/update-many
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/update-many:
    put:
      tags:
        - Documents
      summary: Update many documents
      description: >-
        Updates metadata (name, parentId, icon, published settings, etc.) for
        one or more documents in a single call.


        If any `parentId` changes are included, circular-reference validation is
        run and folder-level collaborator permissions are propagated
        automatically.
      operationId: updateDocumentsMany
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                docs:
                  type: array
                  items:
                    type: object
                    properties:
                      _id:
                        type: string
                        minLength: 1
                      data:
                        type: object
                        properties:
                          name:
                            type: string
                          description:
                            type:
                              - string
                              - 'null'
                          reference:
                            type:
                              - string
                              - 'null'
                          parentId:
                            type:
                              - string
                              - 'null'
                          type:
                            type: string
                            enum:
                              - FOLDER
                              - FILE
                              - SUBFILE
                              - EXTERNAL
                          isPublished:
                            type: boolean
                            example: false
                          publishedSettings:
                            type: object
                            properties:
                              publishedById:
                                type: string
                              publishedAt:
                                type: number
                              styling:
                                type: object
                                additionalProperties:
                                  anyOf:
                                    - type: string
                                    - type: boolean
                              domainSlug:
                                type: string
                            required:
                              - publishedById
                              - publishedAt
                          icon:
                            type: object
                            properties:
                              name:
                                type: string
                              color:
                                type: string
                            required:
                              - name
                              - color
                          emoji:
                            type: object
                            properties:
                              emojiStyle:
                                type: string
                              unified:
                                type: string
                            required:
                              - unified
                    required:
                      - _id
                      - data
                  minItems: 1
              required:
                - docs
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                    enum:
                      - true
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````